/**
 * TimingEvent2.java
 *
 * File generated from the medication2::TimingEvent2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration TimingEvent2.
 *
 * 
 */

@XmlType(name = "TimingEvent")
@XmlEnum
@XmlRootElement(name = "TimingEvent2")
public enum TimingEvent2 {
	@XmlEnumValue("AC")
	AC("AC"),
	@XmlEnumValue("ACD")
	ACD("ACD"),
	@XmlEnumValue("ACM")
	ACM("ACM"),
	@XmlEnumValue("ACV")
	ACV("ACV"),
	@XmlEnumValue("HS")
	HS("HS"),
	@XmlEnumValue("IC")
	IC("IC"),
	@XmlEnumValue("ICD")
	ICD("ICD"),
	@XmlEnumValue("ICM")
	ICM("ICM"),
	@XmlEnumValue("ICV")
	ICV("ICV"),
	@XmlEnumValue("PC")
	PC("PC"),
	@XmlEnumValue("PCD")
	PCD("PCD"),
	@XmlEnumValue("PCM")
	PCM("PCM"),
	@XmlEnumValue("PCV")
	PCV("PCV");
	
	private final String value;

    TimingEvent2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static TimingEvent2 fromValue(String v) {
        for (TimingEvent2 c: TimingEvent2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
